Holger's Java API

## com.antelmann.util.gui
Class Plot2DFunction

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.antelmann.util.gui.Plot2DFunction

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class Plot2DFunction

extends JPanel

Plot2DFunction provides a specialized JPanel that plots any given two-dimensional function. Most plotting parameters are flexible and can be set either through methods or directly by altering the public member variables for convenience.

Author:
  Holger Antelmann
See Also:
  `Function2D`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`Color` `crossColor` color of the null-coorinate cross to be drawn; default is darkGray
`protected Dimension` `dimension` specifies the size (in pixels) of the area to be drawn; default is (600, 400)
`Function2D` `function` the function to be plotted
`Color` `functionColor` color of the function to be plotted; default is blue
`Point` `nullPoint` defines the pixel coordinates of the point where ((x = 0) && (y = 0)); default is (300, 200)
`int` `scaleX` pixel per number interval (n to n+1) on the x-axis; the higher the scale, the larger the stretch for a number interval; default is 100
`int` `scaleY` pixel per number interval (n to n+1) on the y-axis; the higher the scale, the larger the stretch for a number interval; default is 100
`String` `text` some text to be drawn in the upper left corner (if not null)
`Color` `textColor` color of the String to be drawn; default is black

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Plot2DFunction(Function2D function, String text)`

Method Summary
`protected Point` `calculatePoint(double x)`
`static void` `main(String[] args)` sample app showing how this class can be used
`void` `paintComponent(Graphics g)`
`void` `setDimension(Dimension dimension)` sets its dimension; can be retrieved by getPreferredSize()
`void` `setRangeX(double range)` sets scaleX so that the given range of numbers are visible on the x-axis - based on the dimension; default is 6 (if no other parameters were changed)
`void` `setRangeY(double range)` sets scaleY so that the given range of numbers are visible on the y-axis - based on the dimension; default is 4 (if no other parameters were changed)

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### function

    public Function2D function

  the function to be plotted

### text

    public String text

  some text to be drawn in the upper left corner (if not null)

### scaleX

    public int scaleX

  pixel per number interval (n to n+1) on the x-axis; the higher the scale, the larger the stretch for a number interval; default is 100

### scaleY

    public int scaleY

  pixel per number interval (n to n+1) on the y-axis; the higher the scale, the larger the stretch for a number interval; default is 100

### dimension

    protected Dimension dimension

  specifies the size (in pixels) of the area to be drawn; default is (600, 400)

### nullPoint

    public Point nullPoint

  defines the pixel coordinates of the point where ((x = 0) && (y = 0)); default is (300, 200)

### crossColor

    public Color crossColor

  color of the null-coorinate cross to be drawn; default is darkGray

### functionColor

    public Color functionColor

  color of the function to be plotted; default is blue

### textColor

    public Color textColor

  color of the String to be drawn; default is black

Constructor Detail

### Plot2DFunction

    public Plot2DFunction(Function2D function,
                          String text)

Method Detail

### paintComponent

    public void paintComponent(Graphics g)

  Overrides:
    `paintComponent` in class `JComponent`

### calculatePoint

    protected Point calculatePoint(double x)

### setRangeX

    public void setRangeX(double range)

  sets scaleX so that the given range of numbers are visible on the x-axis - based on the dimension; default is 6 (if no other parameters were changed)

### setRangeY

    public void setRangeY(double range)

  sets scaleY so that the given range of numbers are visible on the y-axis - based on the dimension; default is 4 (if no other parameters were changed)

### setDimension

    public void setDimension(Dimension dimension)

  sets its dimension; can be retrieved by getPreferredSize()

### main

    public static void main(String[] args)

  sample app showing how this class can be used

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads